package assertions;

/**
	The class of exception thrown when an assertion fails.

	Copyright (C) 1999 by James MacKay
*/
public class AssertionFailedException extends Error
{
	/**
		Default constructor.
	*/
	public AssertionFailedException()
	{
		_message = "";
	}

	/**
		Constructs an exception from theMessage describing why it was thrown.
	*/
	public AssertionFailedException(String theMessage)
	{
		_message = theMessage;
	}

	/**
		Returns the message describing why this exception was thrown, or an
		empty string if there is no such message associated with this exception.
	*/
	public String getMessage()
	{
		return _message;
	}

	private String _message;

}	// class AssertionFailedException
